// CSCI 201 Lecture 03 practice
// Sample solution

public class AccessLevel {

    // return String of As and Ds based on rights and minPermission
    public static String canAccess(int[] rights, int minPermission) {
        String result = "";
        for (int r : rights) {
            result += (r >= minPermission) ? "A" : "D";
        }
        return result;
    }

    public static void main(String[] args) {
        // main can be used as is for testing
        int[] list1 = {0, 1, 2, 3, 4, 5};
        int[] list2 = {5, 3, 2, 10, 0};
        int[] list3 = {};
        int[] list4 = {34, 78, 9, 52, 11, 1};
        System.out.println(canAccess(list1, 2));
        System.out.println(canAccess(list2, 20));
        System.out.println(canAccess(list3, 20));
        System.out.println(canAccess(list4, 49));
    }
}
